<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		height:100vh;
		width: 100vw;
		display: flex;
		justify-content: center;
		align-items: center;
		margin:0;
		background:rgba(0,0,0,0.9);
	}
	.container{
		border:1px solid coral;
		padding:20px;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		border-radius: 5px;
		box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.0.1);
			background:rgba(0,0,0,0.5);
		animation:fadein 1s ease-in;
		/*animation-delay:.2s;*/
	}
	.container *{
		margin:15px;
		width: 150px;
		animation:appear 1s ease-in;
	}
	input{
		 border:unset;
		 border-bottom:1px solid coral;
	}
	input:focus{
		outline: none;
		border-bottom-width:3px;
	}
	button{
		padding:5px 10px;
		background:transparent;
		border:1px solid coral;
		border-radius: 5px;
		color:coral;
		transition: .3s
	}
	button:hover{
		background:coral;
		color:white;
	}
	.result{
		margin:10px 0;
		color:coral;
	}

/*	@keyframes fadein{
		from{
			transform: translateY(-50vh);
			opacity: 0
		}
		to{
			transform: translateY(0vh);
			opacity: 1
		}
	}*/
		@keyframes fadein{
		0%{
			/*transform: translateY(-50vh);*/
			/*opacity: 0*/
			clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);


		}
		50%{
			/*transform: translateY(0vh);*/
			/*opacity: 1*/
			clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
		}
		100%{
			clip-path: polygon(0% 0%, 100% 0, 100% 100%, 0 100%);

		}
	}
</style>
<body>
		<div class="container">
			<input type="text" placeholder="Num1" name="">
			<input type="text" placeholder="Num2" name="">
			<button>Add</button>
			<div class="result">The result is:<span id="result"></span></div>
		</div>
</body>
</html>